Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.workplace.wcm.api.authoring
Enum EditorBean.ResourceSelectionModel

    java.lang.Object
      java.lang.Enum<EditorBean.ResourceSelectionModel>
          com.ibm.workplace.wcm.api.authoring.EditorBean.ResourceSelectionModel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EditorBean.ResourceSelectionModel>

Enclosing interface:
  EditorBean

    public static enum EditorBean.ResourceSelectionModel

extends java.lang.Enum<EditorBean.ResourceSelectionModel>

Default resource selection options

Enum Constant Summary
`Default` system default
`DigitalAssetManager` Digital asset manager
`FileSystem` file system

Method Summary
`static EditorBean.ResourceSelectionModel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EditorBean.ResourceSelectionModel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Default

    public static final EditorBean.ResourceSelectionModel Default

  system default

### FileSystem

    public static final EditorBean.ResourceSelectionModel FileSystem

  file system

### DigitalAssetManager

    public static final EditorBean.ResourceSelectionModel DigitalAssetManager

  Digital asset manager

Method Detail

### values

    public static EditorBean.ResourceSelectionModel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EditorBean.ResourceSelectionModel c : EditorBean.ResourceSelectionModel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EditorBean.ResourceSelectionModel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD